MenuFunctions = {}


function MenuFunctions.MoreInfo()
	if(AnimatedActionsGUI.isActiveButtonToggledOn() == false) then
		MoreInfoDisplay = true
	elseif(AnimatedActionsGUI.isActiveButtonToggledOn()) then
		MoreInfoDisplay = false
	end
end




-- MenuFunctions tick
function MenuFunctions.tick()

	
	
	if MoreInfoDisplay then
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("The Alpha testing menu is used to list and save cool animations/new entities.")
		natives.UI._DRAW_TEXT(0.20, 0.81)

		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("To use the Object lister simply turn it on and aim with either guns or hands at objects.")
		natives.UI._DRAW_TEXT(0.20, 0.83)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("Use the Animation selection to look for cool animations you think could make a good scene.")
		natives.UI._DRAW_TEXT(0.20, 0.85)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("And if you found one press the save current animation button to save it in a txt file.")
		natives.UI._DRAW_TEXT(0.20, 0.87)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("This file can be found inside the mods folder.")
		natives.UI._DRAW_TEXT(0.20, 0.89)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("For WorldObjects there will be a message in the console asking you to name the object.")
		natives.UI._DRAW_TEXT(0.20, 0.91)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("This is happens when the object is unlisted press Z to skip that message X to accept.")
		natives.UI._DRAW_TEXT(0.20, 0.93)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("When you do want to name them and it is your first time please look at the GTALua console.")
		natives.UI._DRAW_TEXT(0.20, 0.95)
		
		natives.UI.SET_TEXT_FONT(0)
		natives.UI.SET_TEXT_PROPORTIONAL(0.5)
		natives.UI.SET_TEXT_SCALE(0.0, 0.35)
		natives.UI.SET_TEXT_COLOUR(197, 193, 170, 255)
		natives.UI.SET_TEXT_DROPSHADOW(1, 30, 30, 30, 255)
		natives.UI.SET_TEXT_EDGE(1, 0, 0, 0, 255)
		natives.UI.SET_TEXT_DROP_SHADOW(1)
		natives.UI.SET_TEXT_OUTLINE(1)
		natives.UI._SET_TEXT_ENTRY("STRING")
		natives.UI._ADD_TEXT_COMPONENT_STRING("There will be instructions there when you get the notification.")
		natives.UI._DRAW_TEXT(0.20, 0.97)
	end
end


-- MenuFunctions init
function MenuFunctions.init()
	MoreInfoDisplay = false



	-- LIBRARY menu
	AnimatedActionsGUI.createMenu("AnimatedActionsLibrary", "AnimatedActions", "~h~MAIN LIBRARY", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "BROWSE SCENES", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesMenu", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "BROWSE ACTIONS", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsMenu", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "BROWSE PRESETS", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsPresets", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "SAVE PROFILE", nil, "AnimatedActionsPresets", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "LOAD PROFILE", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsProfileLoad", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsLibrary", "CLEAR ALL PROFILES", nil, "Vehicle", false, 0.45, 1)  --WIP

	-- Scenes Menu
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesMenu", "AnimatedActionsLibrary", "~h~SCENES LIBRARY", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesMenu", "BROWSE A-Z", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesAlphabetized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesMenu", "BROWSE CATEGORIZED", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesCategorized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesMenu", "BROWSE FAVOURITES", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesFavourites", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesMenu", "TOGGLE ALL SCENES ON", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesMenu", "TOGGLE ALL SCENES OFF", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	-- Actions Menu
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsMenu", "AnimatedActionsLibrary", "~h~ACTIONS LIBRARY", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsMenu", "BROWSE A-Z", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsAlphabetized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsMenu", "BROWSE CATEGORIZED", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsCategorized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsMenu", "BROWSE FAVOURITES", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsFavourites", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsMenu", "TOGGLE ALL ACTIONS ON", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsMenu", "TOGGLE ALL ACTIONS OFF", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	-- Presets Menu
	AnimatedActionsGUI.createMenu("AnimatedActionsPresets", "AnimatedActionsLibrary", "~h~PROFILE PRESETS", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsPresets", "PRESET", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	-- Load Profile Menu
	AnimatedActionsGUI.createMenu("AnimatedActionsProfileLoad", "AnimatedActionsLibrary", "~h~LOAD PROFILE", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsProfileLoad", "PROFILE", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	
	-- CATEGORIES MENUS SCENES
	
	
	-- AnimatedActionsScenesAlphabetized
	--1
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesAlphabetized", "AnimatedActionsScenesMenu", "~h~SCENES A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "~t~NEXT", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesAlphabetized2", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "A", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "B", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "C", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "D", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "E", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "F", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "G", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "H", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "I", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized", "J", nil, "Vehicle", false, 0.45, 1)  --WIP
	--2
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesAlphabetized2", "AnimatedActionsScenesAlphabetized", "~h~SCENES A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "~t~NEXT", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesAlphabetized3", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "K", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "L", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "M", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "N", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "O", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "P", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "Q", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "R", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "S", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized2", "T", nil, "Vehicle", false, 0.45, 1)  --WIP
	--3
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesAlphabetized3", "AnimatedActionsScenesAlphabetized2", "~h~SCENES A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "~t~FIRST", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsScenesAlphabetized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "U", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "V", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "W", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "X", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "Y", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesAlphabetized3", "Z", nil, "Vehicle", false, 0.45, 1)  --WIP

	
	-- AnimatedActionsScenesCategorized
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesCategorized", "AnimatedActionsScenesMenu", "~h~CATEGORIZED SCENES", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesCategorized", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	-- AnimatedActionsScenesFavourites
	AnimatedActionsGUI.createMenu("AnimatedActionsScenesFavourites", "AnimatedActionsScenesMenu", "~h~FAVOURITE SCENES", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsScenesFavourites", "", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	
	
	-- CATEGORIES MENUS ACTIONS
	
	--AnimatedActionsActionsAlphabetized
		--1
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsAlphabetized", "AnimatedActionsActionsMenu", "~h~ACTIONS A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "~t~NEXT", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsAlphabetized2", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "A", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "B", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "C", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "D", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "E", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "F", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "G", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "H", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "I", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized", "J", nil, "Vehicle", false, 0.45, 1)  --WIP
	--2
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsAlphabetized2", "AnimatedActionsActionsAlphabetized", "~h~ACTIONS A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "~t~NEXT", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsAlphabetized3", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "K", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "L", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "M", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "N", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "O", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "P", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "Q", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "R", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "S", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized2", "T", nil, "Vehicle", false, 0.45, 1)  --WIP
	--3
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsAlphabetized3", "AnimatedActionsActionsAlphabetized2", "~h~ACTIONS A-Z", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "~t~FIRST", AnimatedActionsGUI.setActiveMenu, "AnimatedActionsActionsAlphabetized", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "U", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "V", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "W", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "X", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "Y", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsAlphabetized3", "Z", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	
	-- AnimatedActionsActionsCategorized
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsCategorized", "AnimatedActionsActionsMenu", "~h~CATEGORIZED ACTIONS", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsCategorized", "CATEGORY", nil, "Vehicle", false, 0.45, 1)  --WIP
	
	-- AnimatedActionsActionsFavourites
	AnimatedActionsGUI.createMenu("AnimatedActionsActionsFavourites", "AnimatedActionsActionsMenu", "~h~FAVOURITE ACTIONS", 0.88, 0.04, 0.225, 0.0625, 0.005, 0.55, 1)	
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Player", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Vehicle", false, 0.45, 1)  --WIP
	AnimatedActionsGUI.addButton("AnimatedActionsActionsFavourites", "FAVOURITE", nil, "Vehicle", false, 0.45, 1)  --WIP
end

-- MenuFunctions Onerror 
function MenuFunctions:OnError()
	--self:Kill()
	--addon.Load("RENAMEME")
end